$server::HudMapViewOffsetX =  0;
$server::HudMapViewOffsetY =  0;

$missionName = "1on1";    //--by Hetch--//

exec("multiplayerStdLib.cs");

  newObject( soundVol, SimVolume, "CA0.vol" );
  newObject( soundVol, SimVolume, "HE3.vol" );

$start = false;
$hercNum = 1;

function setDefaultMissionOptions()
{
    $server::TeamPlay = true;
     $server::AllowDeathmatch = false;
      $server::AllowTeamPlay = true;
     $server::AllowTeamRed = false;
    $server::AllowTeamBlue = true;
     $server::AllowTeamYellow = false;
      $server::AllowTeamPurple = true;
       $server::disableTeamRed = true;
      $server::disableTeamBlue = false;
     $server::disableTeamYellow = true;
    $server::disableTeamPurple = false;
}

function setAllowedItems()
{
	allowVehicle( all, TRUE );
	allowWeapon( all, TRUE );
	allowComponent( all, TRUE );      	
}

function onMissionLoad()
 {
   initGlobalVars();
 }

function onMissionStart()
  {
   //$padWaitTime = 0;
   //$zenWaitTime = 0;

say(0, 0, "We've managed to acquire a few prisoners from Mars for some target practice. Hopefully there won't be any cybrid interruptions. The battle zone is within 500 meters of Nav 001."); 

   //schedule("say(0, 0, \"1on1.wav\");", 15);

   order($hercA, shutdown, true);
   order($hercB, shutdown, true);
   order($hercC, shutdown, true);
   order($hercD, shutdown, true);
   order($hercE, shutdown, true);
   order($hercF, shutdown, true);
   order($hercG, shutdown, true);
   order($hercH, shutdown, true);
   order($hercI, shutdown, true); 
   order($hercJ, shutdown, true);
   order($hercK, shutdown, true);

   setVehicleRadarVisible( $hercA, False );
   setVehicleRadarVisible( $hercB, False );
   setVehicleRadarVisible( $hercC, False );
   setVehicleRadarVisible( $hercD, False );
   setVehicleRadarVisible( $hercE, False );
   setVehicleRadarVisible( $hercF, False );
   setVehicleRadarVisible( $hercG, False );
   setVehicleRadarVisible( $hercH, False );
   setVehicleRadarVisible( $hercI, False );
   setVehicleRadarVisible( $hercJ, False );
   setVehicleRadarVisible( $hercK, False );
  }

function player::OnAdd(%this)
  {
   $playerNum = %this;
  }

function vehicle::OnAdd(%vehicleId)
 {              
   %player = playerManager::vehicleIdToPlayerNum(%vehicleId);                                                                                                 
       if(%player == 0) 
      return;                                                                                                                                                  
   $playerId = playerManager::playerNumToVehicleId($playerNum);

   setTeam($playerId, *IDSTR_TEAM_BLUE);
     
      if($start == false)
        {
         setNavMarker("MissionGroup/navPoints/navA", True, $playerId);
        }
      else   
         {
          schedule("setNavMarker($nav, True, "@ %vehicleId @" );", 2);
         }  

   checkHerc(); 
 }

function initGlobalVars()
 {
   $navA = "MissionGroup/navPoints/navA";
   $battleAreaMarker = "MissionGroup/markers/battleAreaMarker";

   $hercA = getObjectId("MissionGroup/purpleHercs/hercA");
   $hercB = getObjectId("MissionGroup/purpleHercs/hercB");
   $hercC = getObjectId("MissionGroup/purpleHercs/hercC");
   $hercD = getObjectId("MissionGroup/purpleHercs/hercD");
   $hercE = getObjectId("MissionGroup/purpleHercs/hercE");
   $hercF = getObjectId("MissionGroup/purpleHercs/hercF");
   $hercG = getObjectId("MissionGroup/purpleHercs/hercG");
   $hercH = getObjectId("MissionGroup/purpleHercs/hercH");
   $hercI = getObjectId("MissionGroup/purpleHercs/hercI");
   $hercJ = getObjectId("MissionGroup/purpleHercs/hercJ");
   $hercK = getObjectId("MissionGroup/purpleHercs/hercK");

   $r1 = "MissionGroup/rocks/r1";
   $r2 = "MissionGroup/rocks/r2";
   $r3 = "MissionGroup/rocks/r3";
   $r4 = "MissionGroup/rocks/r4";
   $r5 = "MissionGroup/rocks/r5";
   $r6 = "MissionGroup/rocks/r6";
   $r7 = "MissionGroup/rocks/r7";
   $r8 = "MissionGroup/rocks/r8";
   $r9 = "MissionGroup/rocks/r9";
   $r10 = "MissionGroup/rocks/r10";

   $eman1 = getObjectId("MissionGroup/base1/eman1");
   $eman2 = getObjectId("MissionGroup/base1/eman2");

   newObject( "squikked", SimGroup );
   addToSet( "MissionGroup", "squikked" );
   newObject( "glitches", SimGroup );
   addToSet( "MissionGroup", "glitches" );
 }

function checkHerc()
{
    if( $hercNum == 1)
      {
         if($start == false)
           {
            setHudTimer(45, -1, "45 seconds to enter battle zone", 1);
            schedule("playerDistanceCheck(hercA);", 45);
            schedule("say(0, 0, \"M6_Saxon_godsendsmeat.WAV\");", 15);
            $start = true;
           }
         else 
            {
             setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
             schedule("playerDistanceCheck(hercA);", 30);
            }  
      } 
    else if( $hercNum == 2 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercB);", 30);
      }
    else if( $hercNum == 3 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercC);", 30);
      }
    else if( $hercNum == 4 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercD);", 30);
      }
    else if( $hercNum == 5 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercE);", 30);
      }
    else if( $hercNum == 6 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercF);", 30);
      }
    else if( $hercNum == 7 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercG);", 30);
      }
    else if( $hercNum == 8 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercH);", 30);
      }
    else if( $hercNum == 9 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercI);", 30);
      }
    else if( $hercNum == 10 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercJ);", 30);
      }
    else if( $hercNum == 11 )
      {
       setHudTimer(30, -1, "30 seconds to re-enter battle zone", 1);
       schedule("playerDistanceCheck(hercK);", 30);
      }
}

function playerDistanceCheck(%enemy)
{
  if(%enemy == hercA)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercA, shutdown, false);
      setVehicleRadarVisible( $hercA, true );   
      order($hercA, attack, $playerId);      
      say(0, 0, "M1_DM_imgoingto.WAV");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }

  if(%enemy == hercB)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercB, shutdown, false);
      setVehicleRadarVisible( $hercB, true );   
      order($hercB, attack, $playerId);      
      say(0, 0, "M7_gonnaburn.WAV");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }

  if(%enemy == hercC)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercC, shutdown, false);
      setVehicleRadarVisible( $hercC, true );   
      order($hercC, attack, $playerId);      
      say(0, 0, "M1_DM_yourinsane.WAV");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }

  if(%enemy == hercD)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercD, shutdown, false);
      setVehicleRadarVisible( $hercD, true );   
      order($hercD, attack, $playerId);      
      say(0, 0, "M7_redlineitgo.WAV");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }

  if(%enemy == hercE)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercE, shutdown, false);
      setVehicleRadarVisible( $hercE, true );   
      order($hercE, attack, $playerId);      
      say(0, 0, "M7_lookingforblood.wav");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }

  if(%enemy == hercF)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercF, shutdown, false);
      setVehicleRadarVisible( $hercF, true );   
      order($hercF, attack, $playerId);      
      say(0, 0, "F4_Tiger_bringiton.WAV");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }

  if(%enemy == hercG)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercG, shutdown, false);
      setVehicleRadarVisible( $hercG, true );   
      order($hercG, attack, $playerId);      
      say(0, 0, "M1_DM_seehowy.WAV");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }

  if(%enemy == hercH)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercH, shutdown, false);
      setVehicleRadarVisible( $hercH, true );   
      order($hercH, attack, $playerId);      
      say(0, 0, "M10_Rajah_damnyou.WAV");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }
  if(%enemy == hercI)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercI, shutdown, false);
      order($hercI, cloak, true);
      schedule("setVehicleRadarVisible( $hercI, true );", 8);   
      schedule("order($hercI, attack, $playerId);", 8);      
      say(0, 0, "M1_DM_yourgoing.WAV");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }

  if(%enemy == hercJ)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercJ, shutdown, false);
      setVehicleRadarVisible( $hercJ, true );   
      order($hercJ, attack, $playerId);      
      say(0, 0, "M5_DM_prepare.wav");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }

  if(%enemy == hercK)
   {
    if(withinDistance($playerId, $battleAreaMarker, 500))
     {
      order($hercK, shutdown, false);
      setVehicleRadarVisible( $hercK, true );   
      order($hercK, attack, $playerId);      
      say(0, 0, "M7_fineyouwantsome.WAV");                  
     }
    else 
      {
       damageObject( $playerId, 200000 );
      }
   }         
}

function vehicle::OnDestroyed(%destroyed, %destroyer)
{
   if(%destroyed == $playerId)
    {
     $nav = getObjectId($navA);
    }
   if(%destroyer == $eman1)
    {
     say(0, 0, "M6_Saxon_yeahboom.WAV");
    }
   if(%destroyer == $eman2)
    {
     say(0, 0, "M1_DM_excellent.WAV");
    }
   if(%destroyed == %cy14)
    {
     missionEndConditionMet(); 
    }
}

function eman1::vehicle::OnDestroyed(%destroyed, %destroyer)
{  
      say(0, 0, "M6_Saxon_wellshit.WAV");
}

function eman2::vehicle::OnDestroyed(%destroyed, %destroyer)
{  
      say(0, 0, "M1_TDM_cantmakeit.WAV");
}

function hercA::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "M12_HMan_nouhhh.WAV");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercB);", 30);
   $hercNum++;
   $h1Des = true;
  addToSet( "MissionGroup/squikked", $hercA );
}

function hercB::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "M7_imonfire.WAV");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercC);", 30);
   $hercNum++;
   $h2Des = true;
  addToSet( "MissionGroup/squikked", $hercB );
}

function hercC::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "GEN_DTH06.WAV");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercD);", 30);
   $hercNum++;
   $h3Des = true;
  addToSet( "MissionGroup/squikked", $hercC );
}

function hercD::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "GEN_DTH07.WAV");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercE);", 30);
   $hercNum++;
   $h4Des = true;
  addToSet( "MissionGroup/squikked", $hercD );
}

function hercE::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "M7_getemoffamee.WAV");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercF);", 30);
   $hercNum++;
   $h5Des = true;
  addToSet( "MissionGroup/squikked", $hercE );
}

function hercF::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "M10_Jaguar_uaahhhhh.WAV");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercG);", 30);
   $hercNum++;
   $h6Des = true;
  addToSet( "MissionGroup/squikked", $hercF );
}

function hercG::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "M11_uuaahhh.WAV");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercH);", 30);
   $hercNum++;
   $h7Des = true;
  addToSet( "MissionGroup/squikked", $hercG );
}

function hercH::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "M_tellmywifeI.wav");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercI);", 30);
   $hercNum++;
   $h8Des = true;
  addToSet( "MissionGroup/squikked", $hercH );
}

function hercI::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "GEN_DTH05.WAV");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercJ);", 30);
   $hercNum++;
   $h9Des = true;
  addToSet( "MissionGroup/squikked", $hercI );
}

function hercJ::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "GEN_DTH01.WAV");
   setHudTimer(30, -1, "30 seconds to next warform activation", 1);
   schedule("playerDistanceCheck(hercK);", 30);
   $hercNum++;
   $h10Des = true;
  addToSet( "MissionGroup/squikked", $hercJ );
}

function hercK::vehicle::OnDestroyed(%destroyed, %destroyer)
{
   Say(0, 0, "GEN_DTH02.WAV");

  addToSet( "MissionGroup/squikked", $hercK );

   $h11Des = true;

   setDropPodParams(0.15,0.55,-0.7, 5000, 500, 2000);

   order($eman1, guard, $playerId);
   order($eman2, guard, $playerId);

   schedule( "say(0, 0, \"M3_TDM_herecome.WAV\");", 15);
   schedule( "say(0, 0, \"M3_TDM_stayfrosty.WAV\");", 30);

   schedule("doThing();", 1);
   cyStorm();
   schedule("dropCy1();", 8);
}

function doThing()
{
   deleteObject( "MissionGroup/squikked" );
   setTowerCamera( $eman1, -250,25.6,109.5 );
   schedule( "say(0, 0, \"GEN_ICCA03.wav\");", 2);
   schedule("setPlayerCamera();",5); 
}

function cyStorm()
{
    %num = randomInt(1,10);
        if( %num == 1 )
            schedule("dropPod(getObjectId($r1));", randomInt(1,10));    
        if( %num == 2 )
            schedule("dropPod(getObjectId($r2));", randomInt(1,10));
        if( %num == 3 )
            schedule("dropPod(getObjectId($r3));", randomInt(1,10));
        if( %num == 4 )
            schedule("dropPod(getObjectId($r4));", randomInt(1,10));
        if( %num == 5 )
            schedule("dropPod(getObjectId($r5));", randomInt(1,10));
        if( %num == 6 )
            schedule("dropPod(getObjectId($r6));", randomInt(1,10));
        if( %num == 7 )
            schedule("dropPod(getObjectId($r7));", randomInt(1,10));
        if( %num == 8 )
            schedule("dropPod(getObjectId($r8));", randomInt(1,10));
        if( %num == 9 )
            schedule("dropPod(getObjectId($r9));", randomInt(1,10));
        if( %num == 10 )
            schedule("dropPod(getObjectId($r10));", randomInt(1,10));
     schedule("cyStorm();", 2);
}

function dropCy1()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy1", Herc, 21); 
  $cy1 = getObjectId("MissionCleanup/cy1");
  setTeam($cy1, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy1 );
  setPilotId($cy1, 21);
  dropPod((%x + 80), (%y + 40), %z @ %point1, $cy1);   
  order($cy1, attack, $playerId);

    schedule("dropCy2();", 5);
}

function dropCy2()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy2", Herc, 22); 
  $cy2 = getObjectId("MissionCleanup/cy2");
  setTeam($cy2, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy2 );
  setPilotId($cy2, 21);
  dropPod((%x - 80), (%y - 30), %z @ %point1, $cy2);
  order($cy2, attack, $playerId);
  schedule("say(0, 0, \"C4_eliminateanimals.WAV\");", 10);
    schedule("dropCy3();", 15);
}

function dropCy3()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy3", Herc, 23); 
  $cy3 = getObjectId("MissionCleanup/cy3");
  setTeam($cy3, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy3 );
  setPilotId($cy3, 21);
  dropPod((%x + 60), (%y - 60), %z @ %point1, $cy3);
  order($cy3, attack, $playerId);
  schedule("say(0, 0, \"C3_eliminating.WAV\");", 10);
    schedule("dropCy4();", 10);
}

function dropCy4()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy4", Herc, 24); 
  $cy4 = getObjectId("MissionCleanup/cy4");
  setTeam($cy4, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy4 );
  setPilotId($cy4, 21);
  dropPod((%x - 60), (%y + 60), %z @ %point1, $cy4);
  order($cy4, attack, $playerId);
  schedule("say(0, 0, \"C1_executecore.WAV\");", 10);
    schedule("dropCy5();", 20);
}

function dropCy5()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy5", Tank, 25); 
  $cy5 = getObjectId("MissionCleanup/cy5");
  setTeam($cy5, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy5 );
  setPilotId($cy5, 21);
  dropPod((%x + 60), (%y + 50), %z @ %point1, $cy5);
  order($cy5, attack, $playerId);

    schedule("dropCy6();", 15);
}

function dropCy6()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy6", Herc, 28); 
  $cy6 = getObjectId("MissionCleanup/cy6");
  setTeam($cy6, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy6 );
  setPilotId($cy6, 21);
  dropPod((%x - 60), (%y - 50), %z @ %point1, $cy6);
  order($cy6, attack, $playerId);
  schedule("say(0, 0, \"C5_humansfascin.WAV\");", 10);

    schedule("dropCy7();", 20);
}

function dropCy7()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy7", Tank, 26); 
  $cy7 = getObjectId("MissionCleanup/cy7");
  setTeam($cy7, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy7 );
  setPilotId($cy7, 21);
  dropPod((%x - 60), (%y - 50), %z @ %point1, $cy7);
  order($cy7, attack, $playerId);

    schedule("dropCy8();", 15);
}

function dropCy8()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy8", Herc, 28); 
  $cy8 = getObjectId("MissionCleanup/cy8");
  setTeam($cy8, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy8 );
  setPilotId($cy8, 21);
  dropPod((%x + 40), (%y + 50), %z @ %point1, $cy8);
  order($cy8, attack, $playerId);
  schedule("say(0, 0, \"C5_notsodifferent.WAV\");", 10);

    schedule("dropCy9();", 10);
}

function dropCy9()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy9", Herc, 35); 
  $cy9 = getObjectId("MissionCleanup/cy9");
  setTeam($cy9, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy9 );
  setPilotId($cy9, 21);
  dropPod((%x - 60), (%y - 50), %z @ %point1, $cy9);
  order($cy9, attack, $playerId);

    schedule("dropCy10();", 10);
}

function dropCy10()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy10", Herc, 36); 
  $cy10 = getObjectId("MissionCleanup/cy10");
  setTeam($cy10, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy10 );
  setPilotId($cy10, 21);
  dropPod((%x - 50), (%y + 50), %z @ %point1, $cy10);
  order($cy10, attack, $playerId);

    schedule("dropCy11();", 10);
}

function dropCy11()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy11", Herc, 37); 
  $cy11 = getObjectId("MissionCleanup/cy11");
  setTeam($cy11, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy11 );
  setPilotId($cy11, 21);
  dropPod((%x + 30), (%y - 50), %z @ %point1, $cy11);
  order($cy11, attack, $playerId);

    schedule("dropCy12();", 20);
}

function dropCy12()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy12", Herc, 38); 
  $cy12 = getObjectId("MissionCleanup/cy12");
  setTeam($cy12, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy12 );
  setPilotId($cy12, 21);
  dropPod((%x - 60), (%y - 50), %z @ %point1, $cy12);
  order($cy12, attack, $playerId);

    schedule("dropCy13();", 18);
}

function dropCy13()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy13", Herc, 39); 
  $cy13 = getObjectId("MissionCleanup/cy13");
  setTeam($cy13, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy13 );
  setPilotId($cy13, 21);
  dropPod((%x + 50), (%y + 80), %z @ %point1, $cy13);
  order($cy13, attack, $playerId);

    schedule("dropCy14();", 30);
}

function dropCy14()
{
    %x = getPosition($playerId, x);
    %y = getPosition($playerId, y);
    %z = getTerrainHeight(%x, %y);

  NewObject("cy14", Herc, 24); 
  $cy14 = getObjectId("MissionCleanup/cy14");
  setTeam($cy14, *IDSTR_TEAM_PURPLE);
  addToSet( "MissionGroup/glitches", $cy14 );
  setPilotId($cy14, 21);
  dropPod((%x + 60), (%y + 50), %z @ %point1, $cy14);
  order($cy14, attack, $playerId);
  schedule("Say(0, 0, \"he3_bad07.WAV\");", 10);
}

Pilot excelAggr
{
id = 21;
name = "Glitch";
skill = 0.8;
accuracy = 0.8;
aggressiveness = 0.8;
activateDist = 400.0;
deactivateBuff = 200.0;
targetFreq = 1.4;
trackFreq = 1.0;
fireFreq = 0.5;
LOSFreq = 0.6;
orderFreq = 5.0;
}; 

